Skip to main content
POST /v1/payments/inquiryPayment Queries the result of a payment. Use it when you have not received the payment result for a long time, or to determine the payment status in asynchronous payment processing. If both paymentId and paymentRequestId are provided, paymentId takes priority and paymentRequestId is ignored.
Polling interval: poll once every 5 seconds, for up to 1 minute. See Inquiring Payment.

Request Parameters

string
Wallet-generated unique payment ID.Max length: 64 characters
string
Merchant-generated payment request ID.Max length: 64 characters

Response Parameters

object
required
Standard result object with resultCode, resultStatus, resultMessage
string
Wallet-generated payment ID.Max length: 64 characters
string
Merchant-generated payment ID.Max length: 64 characters
string
Payment status:
  • SUCCESS: the order succeeded
  • FAIL: the order failed
  • PROCESSING: the order is not paid yet, or is paid but not finished
  • AUTH_SUCCESS: the user completed the pre-authorization (Mini Program auth capture scenario)
string
Payment success time in ISO 8601 format.
object
Payment amount. See Amount.
string
Extended information (JSON string). Keys: nickName, avatarUrl. Example: "{\"nickName\":\"SuperMan\",\"avatarUrl\":\"https://...\"}"

Result Handling

Result Codes

Sample

Request

Response